---
title: "Capture the Flag"
siteTitle: "Garrit's Challenge"
---

<img alt="White Flag" style="max-width: 50%; display: block; margin: auto" src="/assets/white_flag.png">

There are 6 [secret flags](https://en.wikipedia.org/wiki/Capture_the_flag_(cybersecurity)) scattered across this website. Can you find them?

A flag looks something like this: `GXYZ{***********}`. If you manage to find
one, feel free to [send me an email](/contact) with a short writeup, and I will
proudly add your name to the "Hall of Fame". Or do it yourself by 
[editing this page](https://github.com/garritfra/garrit.xyz/edit/main/content/ctf.md)
and opening a pull request! I will add more flags over time, so check back later
for updates.

This challenge is about learning new things and having fun. If you're stuck and
need a hint, just let me know. Also, if you have an idea for a new flag, I'd
love to hear it!

> **Disclaimer**: Cheating is easy, and this website is open source. Please
> don't ruin the fun for yourself, and keep your eyes off the GitHub repository! :)

## Show your progress

If you liked this challenge and want to support it, you may add a badge like this to your own site:

<a href="https://garrit.xyz/ctf"><img alt="Garrit's CTF: 3 Flags found" src="https://garrit.xyz/assets/badges/ctf/orange_3.svg"></a> <a href="https://garrit.xyz/ctf"><img alt="Garrit's CTF: 4 Flags found" src="https://garrit.xyz/assets/badges/ctf/blue_4.svg"></a>

<details>
<summary>How do I add a badge to my website?</summary>

A badge is comprised of two variables: The **color** and the **number of flags**.

For **color**, you may choose `blue` or `orange`.

The **number of flags** should correspond with the flags you've found on this site.

Paste the following code snippets to your site. Make sure that you've replaced all the variables!

### HTML

```html
<a href="https://garrit.xyz/ctf"><img alt="Garrit's CTF: 3 Flags found" src="https://garrit.xyz/assets/badges/ctf/orange_3.svg"></a>
```

### Markdown

```md
[](![Garrit's CTF: 4 Flags found](https://garrit.xyz/assets/badges/ctf/blue_4.svg))
```

### Custom badges

You can also use [shields.io](https://shields.io/badges/static-badge) for more flexibility with the design of the badges. If you don't want to rely on a third party to host these badges, you can also download and host them alongside your website.

</details>

If you don't have a website (or don't want to add a badge to it) but still want to support this challenge, you may also post your progress and a link to the site on social media. This helps other people discover this challenge!


## Hall of Fame

- [Benji](https://www.benji.dog) - 6 flags found, last updated 2024-01-11
- [F1ndus](https://f1ndus.de/) - 6 flags found, last updated 2022-07-16
- [Nikita Karamov](https://www.kytta.dev/) - 6 flags found, last updated 2022-07-28
- [Jesse Gibson](https://psychollama.io/) - 6 flags found, last updated 2022-05-09
- [knl](https://lobste.rs/u/knl) - 6 flags found, last updated 2022-07-16
- [Yigit Sever](https://yigitsever.com) - 6 flags found, last updated 2022-08-17
- Chris - 6 flags found, last updated 2022-07-16
- Fabian Dürkop - 6 flags found, last updated 2022-07-26
- Shantanu Joshi - 6 flags found, last updated 2022-07-16
- n0thing maybe - 6 flags found, last updated 2022-07-15
- Will Kinderman - 6 flags found, last updated 2022-08-31

---

- [Team Krosse Flagge](https://ctftime.org/team/82581) - 5 flags found, last updated 2022-07-22
- Ezequiel Gonzalez Rial - 5 flags found, last updated 2022-07-13
- Harry Cover - 5 flags found, last updated 2023-09-09
- Reiner Herrmann - 5 flags found, last updated 2022-11-26
- [Jeremi R](https://jrb.nz) - 5 flags found, last updated 2023-01-04

---

- [Felix Hanley](https://felixhanley.info) - 4 flags found, last updated 2022-07-13
- [Nasir](https://lobste.rs/u/thesnarky1) - 4 flags found, last updated 2022-07-13
- [Ordoviz](https://fosstodon.org/@Ordoviz) - 4 flags found, last updated 2022-07-13
- [Sergii](https://www.linkedin.com/in/serhiy-m-618020107/) - 4 flags found, last updated 2022-07-18
- Barbas Bonitas - 4 flags found, last updated 2022-07-13
- Dege - 4 flags found, last updated 2022-07-15
- swordfischer - 4 flag found, last updated 2022-07-19

---

- [Adam Stück](https://adast.dk) - 3 flags found, last updated 2024-01-17
- [Jonathan Street](https://jstreet.uk/) - 3 flags found, last updated 2024-01-17
- [Ben Fiedler](https://3fx.ch) - 3 flags found, last updated 2022-07-13
- [Fabio Alessandro Locati](https://fale.io) - 3 flags found, last updated 2022-07-13
- [George](https://fosstodon.org/@george_) - 3 flags found, last updated 2022-07-13
- [Manuel Romei](https://fosstodon/@kriive) - 3 flags found, last updated 2022-07-13
- Gaeulbyul - 3 flags found, last updated 2022-07-13
- runejuhl - 3 flags found, last updated 2022-07-14

---

- [Jure Šumak](https://jsumak.github.io/about/) - 2 flags found, last updated 2022-07-13
- [Kev Quirk](https://kevq.uk/) - 2 flags found, last updated 2022-07-12
- [Tugcan Olgun](https://tugcan.net/) - 2 flags found, last updated 2022-07-15
- [belkarx](https://belkarx.github.io) - 2 flags found, last updated 2022-07-15
- Inbar Aran - 2 flag found, last updated 2022-07-14
- Marat Validov - 2 flag found, last updated 2022-07-13
- Talha Balaj - 2 flag found, last updated 2022-11-25

---

- [Askar Mirzajanov](https://t.me/gmmdt) - 1 flag found, last updated 2022-07-13
- [Frederik Braun](https://frederik-braun.com/) - 1 flag found, last updated 2022-07-13
- [Gioele Barabucci](https://gioele.io/) - 1 flag found, last updated 2022-07-13
- [Pixelcode](https://social.tchncs.de/@pixelcode) - 1 flag found, last updated 2022-07-12
- hub - 1 flag found, last updated 2022-07-13
- macbury - 1 flag found, last updated 2022-07-13
- lemmyz4n3771 - 1 flag found, last updated 2022-07-13
- voxycon - 1 flag found, last updated 2022-11-24
